# Операції між Expirenza і POS системою

{% hint style="info" %}
Повідомлення надсилаються у JSON форматі
{% endhint %}

{% hint style="warning" %}
1.Параметри які відзначені " <mark style="color:red;">\*</mark> " - позначають обов'язковість параметра.

2.Content type: application/json
{% endhint %}

## Елементи та типи даних повідомлень

<table><thead><tr><th width="150">Element</th><th width="109">Data Type</th><th width="137">Required</th><th>Description</th></tr></thead><tbody><tr><td>rID</td><td>String</td><td>✔️</td><td>Ідентифікатор запиту в системі Expirenza</td></tr><tr><td>operation</td><td>String</td><td>✔️</td><td>Ідентифікатор методу</td></tr><tr><td>tableNumber</td><td>String</td><td>❌</td><td>Номер столу, на якому виконати пошук рахунку</td></tr><tr><td>billId</td><td>String</td><td>❌</td><td>Ідентифікатор рахунку в ресторані</td></tr><tr><td>sum</td><td>Money</td><td>❌</td><td>Сума, яку сплачує клієнт ресторану</td></tr><tr><td>tips</td><td>Money</td><td>❌</td><td>Чайові офіціанту</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.expirenza.com/api/messages.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
